Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 10 May 2009 18:23:17 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-projects@freebsd.org
Subject:   svn commit: r191970 - projects/stress2/misc
Message-ID:  <200905101823.n4AINHeb065038@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Sun May 10 18:23:17 2009
New Revision: 191970
URL: http://svn.freebsd.org/changeset/base/191970

Log:
  Added test scenario variation of tmpfs.sh

Added:
  projects/stress2/misc/tmpfs3.sh   (contents, props changed)

Added: projects/stress2/misc/tmpfs3.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/tmpfs3.sh	Sun May 10 18:23:17 2009	(r191970)
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009 Peter Holm <pho@FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $Id: nfs.sh,v 1.2 2008/02/25 16:31:43 pho Exp $
+#
+
+# panic: tmpfs_alloc_vp: type 0xc866ce58 0, seen.
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mount | grep "$mntpoint" | grep -q tmpfs && umount $mntpoint
+mount -t tmpfs tmpfs  $mntpoint
+
+export RUNDIR=$mntpoint/stressX
+export runRUNTIME=10m            # Run tests for 10 minutes
+
+(cd /home/pho/stress2; ./run.sh vfs.cfg) 
+
+umount $mntpoint
+mount | grep "$mntpoint" | grep -q tmpfs && umount -f $mntpoint



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200905101823.n4AINHeb065038>